# WOK
TKWOK
WOKMake

# WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString Class Reference

`#include <WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString.hxx>`

Inheritance diagram for WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString ()
Standard_EXPORT | WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString (const WOKMake_DataMapOfHAsciiStringOfSequenceOfHAsciiString &aMap)
Standard_EXPORT void | Initialize (const WOKMake_DataMapOfHAsciiStringOfSequenceOfHAsciiString &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const TColStd_SequenceOfHAsciiString & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString | ( |  | ) |

Standard_EXPORT WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString | ( | const WOKMake_DataMapOfHAsciiStringOfSequenceOfHAsciiString & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::Initialize | ( | const WOKMake_DataMapOfHAsciiStringOfSequenceOfHAsciiString & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::Key | ( |  | ) | const

void WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const TColStd_SequenceOfHAsciiString& WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKMake_DataMapIteratorOfDataMapOfHAsciiStringOfSequenceOfHAsciiString.hxx